/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Aug-08-2011 09:29:11pm
Filepath: scripts\Items\Minor Artifacts\HelmOfRejuvenation.cs
Lines of code: 37

Description: 

***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class HelmOfRejuvenation : Bascinet
	{

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }
		
		public override int BasePhysicalResistance{ get{ return 15; } }
		public override int BaseFireResistance{ get{ return 11; } }
		public override int BaseColdResistance{ get{ return 11; } }
		public override int BasePoisonResistance{ get{ return 0; } }
		public override int BaseEnergyResistance{ get{ return 0; } }		
		
		//Set resists to 15 12 11 3 3
		

		[Constructable]
		public HelmOfRejuvenation()
		{
			Hue = 1148;
			Name = "Helm of Rejuvenation";
			Attributes.RegenStam = 2;
			Attributes.RegenMana = 1;
			Attributes.RegenHits = 2;
		}

		public HelmOfRejuvenation( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}